function [typesum,typeid,fishtype] = checktype(rec1type, rec2type)

% Create a sum that checks for the type of records

typesum = rec1type + rec2type ;
fishtype = 0 ;

% Generate an index number from 1-6 from the typesum 
% and fishypte indices from 1-13 for variables paired with fish
if (typesum < 10)            typeid = 1;           % fish-fish
elseif (31 < typesum & typesum < 61)   typeid = 2; % fish-bgc
    fishtype = round((max(rec1type, rec2type)-30)/2);
elseif (61 < typesum & typesum < 100)  typeid = 3; % bgc-bgc
elseif (101 < typesum & typesum < 120) typeid = 4; % fish-phys
    fishtype = round((max(rec1type, rec2type)-101)/2)+10;
elseif (130 < typesum & typesum < 200) typeid = 5; % bgc-phys
elseif (typesum > 200)       typeid = 6;           % phys-phys
end
